`timescale 1ns / 1ps

module testbench_led;
 reg clk;
 reg SW;
 wire [15:0] LED;
 wire [3:0] counter;
 wire [5:0] R0, R1, R2, R3;
 
 led_counter uut (
  .clk(clk),
  .SW(SW),
  .LED(LED),
  .counter(counter),
  .R0(R0),
  .R1(R1),
  .R2(R2),
  .R3(R3)
 );
 
 initial begin
 clk = 0;
 SW = 1;
 #100
 SW = 0;
 end
 always begin #5 clk=~clk; end    
endmodule